[OScript]
lexer=oscript

keywords.0=name:Keywords::break breakif by case continue continueif default downto else elseif end for \
goto if in repeat switch to until while \
function return void \
dll inbyref inout linked nodebug super this xcmd xfcn

keywords.1=name:Constants::false true undefined \
booleantype bytestype datatype dynamictype errortype externtype integertype \
listtype longtype objecttype objreftype pointtype realtype scripttype \
stringtype undefinedtype voidtype

keywords.2=name:Operators::and eq ge gt le lt ne not or xor

keywords.3=name:Types::booleantype bytestype datatype dynamictype errortype externtype integertype \
listtype longtype objecttype objreftype pointtype realtype scripttype \
stringtype undefinedtype voidtype \
cachetree capiconnect capierr capilog capilogin compiler dapisession \
dapinode dapiversion dapistream filecopy fileprefs frame javaobject \
mailmessage pop3session smtpsession ssloptions patfind patchange regex \
socket sqlconnection sqlcursor uapisession uapiuser wapisession wapimap \
wapimaptask wapiwork wapisubwork domattr domcdatasection domcharacterdata \
domcomment domdocument domdocumentfragment domdocumenttype domelement \
domentity domentityreference domimplementation domnamednodemap domnode \
domnodelist domnotation domparser domprocessinginstruction domtext saxparser \
xslprocessor

keywords.4=name:Functions::datatypename echo echodebug echoerror echoinfo echostamp echowarn \
getfeatures isdefined iserror isfeature isinvokable isnoterror isnotset \
isobject isset isundefined length nparameters parameters pointh pointv type

keywords.5=name:Objects::capi dapi env global language logging math memcached otds pattern security \
sql str system uapi vis wapi web zip

style.0=Default
style.1=Single-line comment,fore:clGreen
style.2=Multi-line comment,fore:clGreen
style.3=Documentation comment,fore:clGreen
style.4=Preprocessor directive,fore:#7F7F00
style.5=Number,fore:clTeal
style.6=String in single quotes,fore:clPurple
style.7=String in double quotes,fore:clPurple
style.8=Constant literal,fore:#FF7F3F
style.9=Identifier
style.10=Server-global variable,fore:#7F007F
style.11=Keywords,fore:clNavy,bold
style.12=Operators,fore:clWindowText,bold
style.13=Label,fore:#FF00FF
style.14=Type,fore:#00007F
style.15=Global function,fore:#0000FF
style.16=Static built-in object,fore:#007F7F
style.17=Object property
style.18=Object method